/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 *
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Copyright (c) Ericsson AB, 2004-2007. All rights reserved.
 * Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
 */
package org.jvnet.glassfish.comms.admin.clbadmin;

import com.sun.enterprise.admin.server.core.AdminService;
import com.sun.enterprise.config.ConfigContext;
import com.sun.enterprise.config.ConfigContextEventListener;

import org.jvnet.glassfish.comms.admin.clbadmin.ClbAdminEventListener;


/**
 * Class to publish the loadbalancer.xml to config directory.
 *
 * @author Vijaya Gadhamsetty
 */
public class ClbAdmin {
    private static boolean isEE() {
        boolean isEE = false;
        final String eepffc = "org.jvnet.glassfish.comms.server.pluggable.extensions.sip.SipEEPluggableFeatureImpl";
        final String pn = "com.sun.appserv.pluggable.features";
        final String pv = System.getProperty(pn);

        if (eepffc.equals(pv)) {
            isEE = true;
        }

        return (isEE);
    }

    public static void init() {
        if (!isEE()) {
            return;
        }

        AdminService adminService = AdminService.getAdminService();

        if (!adminService.isDas()) {
            return;
        }

        ConfigContext ctx = adminService.getAdminContext()
                                        .getAdminConfigContext();
        ConfigContextEventListener el = new ClbAdminEventListener();
        ctx.addConfigContextEventListener(el);
    }
}
